Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162191 - sendmail runs as a fake daemon after server was upgraded to FC4
Summary: sendmail runs as a fake daemon after server was upgraded to FC4
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sendmail
Version: 4
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 18:24 UTC by Shawn Holahan
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-23 12:29:42 UTC


Attachments (Terms of Use)

Description Shawn Holahan 2005-06-30 18:24:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; CASPERXP; .NET CLR 1.1.4322; .NET CLR 1.0.3705)

Description of problem:
Last night I upgraded my Fedora Core 3 server to Fedora Core 4.  When the upgrade was completed and the server rebooted, it hung on starting sm-client. When sendmail started, it said it was "Running as a fake daemon pid = 5585" and when I try to telnet to port 25, I get connection refused. Now I do find that sendmail is running with pid 5586. I have rebooted the server a number of times and stopped/started by hand also and still sendmail will not allow connections to localhost port 25. Does anyone have any idea what "Running as a fake daemon" means? Or what to do to correct this?

  Thank you,
     Shawn

Example:
[root@grumpy mail]# /etc/init.d/sendmail start
Starting sendmail: Running as a fake daemon pid = 5585
                                                           [  OK  ]
Starting sm-client:

Sendmail is running at:
[root@grumpy mail]# ps -ef | grep sendmail
root      5586     1  0 14:03 ?        00:00:00 /usr/sbin/sendmail -bd -q1h
root      5654  2904  0 14:10 pts/0    00:00:00 grep sendmail
[root@grumpy mail]#

Version-Release number of selected component (if applicable):
sendmail-8.13.4-2

How reproducible:
Didn't try

Steps to Reproduce:
1. Server with FC3 plus updates
2. Upgrade the server to FC4 from CD.
3.
  

Additional info:

Comment 1 Shawn Holahan 2005-07-06 01:02:21 UTC
I just removed the sendmail package and reinstalled it by hand. Sendmail now
starts with out any issue.  Not sure what the problem was, but I think it looks
ok now.

        Shawn

Comment 2 Thomas Woerner 2006-07-14 13:28:19 UTC
I was not able to reproduce this problem at all.

Can you please try to get a logging output of what the init script does?

Comment 4 Thomas Woerner 2007-07-23 12:29:42 UTC
This bug entry was in needinfo for some time. Closing due to user inactivity as
"NOT A BUG".


Note You need to log in before you can comment on or make changes to this bug.